Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

Items

Manage conversations and conversation items.

Create items
POST
/conversations/{conversation_id}/items
Delete an item
DELETE
/conversations/{conversation_id}/items/{item_id}
List items
GET
/conversations/{conversation_id}/items
Retrieve an item
GET
/conversations/{conversation_id}/items/{item_id}
Models
ConversationItem = Message { id, content, role, 3 more } or FunctionCall { id, arguments, call_id, 7 more } or FunctionCallOutput { id, output, status, 6 more } or 26 more

A single item within a conversation. The set of possible types are the same as the output type of a Response object.

ConversationItemList object { data, first_id, has_more, 2 more }

A list of Conversation items.